Open SCAP Library

Public Member Functions | Data Fields
oval_variable_possible_restriction Struct Reference
OVAL » OVALDEF

## Public Member Functions
struct oval_variable_possible_restriction * | oval_variable_possible_restriction_new (oval_operator_t operator, const char *hint)
| Construct new instance of possible_restriction element. More...
void | oval_variable_possible_restriction_free (struct oval_variable_possible_restriction *pr)
| Free instance of possible_restriction.
Setters
void | oval_variable_possible_restriction_add_restriction (struct oval_variable_possible_restriction *pr, struct oval_variable_restriction *r)
| Add a restriction to the list of possible restrictions. More...
Getters
struct oval_iterator * | oval_variable_possible_restriction_get_restrictions (struct oval_variable_possible_restriction *possible_restriction)
| Get restrictions from one possible_restriction element. More...
oval_operator_t | oval_variable_possible_restriction_get_operator (struct oval_variable_possible_restriction *possible_restriction)
| Get operator of possible_restriction element. More...
char * | oval_variable_possible_restriction_get_hint (struct oval_variable_possible_restriction *possible_restriction)
| Get hint of possible_restriction element. More...

## Data Fields
oval_operator_t | operator
char * | hint
struct oval_collection * | restrictions

The documentation for this struct was generated from the following files:

- oval_variable.c
- oval_definitions.h